package examples.servletserver;

import java.io.*;

public class ChatServlet extends HttpServlet {

  private String[] lastMessages = new String[10];
  private String[] lastNames    = new String[10];
  
  public ChatServlet() {
  }

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) {
    java.io.PrintWriter writer = resp.getWriter();
    String name = req.getParameter("name");
    String text = req.getParameter("text");
    //if (name == null && text == null)
    //  return;
    
    resp.setContentType("text/html");

    if (text != null && text.length() > 0) {
      for (int i=9; i>0; i--) {
        System.out.println("i="+i);
        lastMessages[i] = lastMessages[i-1];
        lastNames   [i] = lastNames   [i-1];
      }
      lastMessages[0] = text;
      lastNames   [0] = name == null || name.length()==0 ? "anonymous" : name;
    }
    
    writer.println("<HTML><HEAD>");
    writer.println("<TITLE>Chat Servlet</TITLE>");
    writer.println("</HEAD><BODY>");
    writer.println("<H1>Let's Chat!</H1>");
    
    
    writer.println("<form name=\"input\" action=\""
                   +this.getClass().getName()
                   +"\" method=\"get\">");
    writer.println("Name: <input type=\"text\" name=\"name\"");
    if (name != null && name.length() > 0)
      writer.println(" value=\""+name+"\">");
    else 
      writer.println(">");      
    writer.println(" Message: <input type=\"text\" name=\"text\">");
    writer.println(" <input type=\"submit\" value=\"Send\">");
    writer.println("</form>");
    
    for (int i=0; i<10; i++)
      if (lastNames[i] != null && lastMessages[i] != null)
      writer.println("<P>"+lastNames[i]+": "+lastMessages[i]+"</P>");
    writer.println("</BODY></HTML>");

    
  }

}
